Bug 73524 - When using battery screen doesn't restore from blanking ATI Radeon Mobility M7
When using battery screen doesn't restore from blanking ATI Radeon Mobility M7
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
null
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-05 14:30 EDT by Dax Kelson
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-09 23:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2002-09-05 14:30:19 EDT
Description of Problem:  
  
This is not a Suspend issue (that works fine). This is a simple screen  
blanking issue.  
  
When I'm on battery power if the screen blanks and I move the  
mouse or touch a key to bring it back, I get an orgy of colors and  
static on the screen.  
  
The machine itself is not hung up. A CTL-ALT-F1 doesn't change the  
screen all that much, still messed up.  I can "blindly" login though and  
do an 'init 6' to reboot.  
  
Other aspects of the video on battery power work fine including  
suspend/resume.  I bought this laptop 4 weeks ago (right after Limbo2  
came out). I've seen this behavior the whole time. RHL 7.3 won't install  
(IDE problems).  
  
Version-Release number of selected component (if applicable):  
  
XFree86-4.2.0-71  
kernel-2.4.18-14  
  
  
How Reproducible:  
Every Time  
  
Steps to Reproduce:  
1. Boot to runlevel 5  
2. Wait until the screen blanks  
3. Move the mouse, observe the chaos. 
 
Additional Info: 
 
PCI:*(1:0:0) ATI Radeon Mobility M7 LW rev 0, Mem @ 0xe0000000/27, 
0xfcff0000/16, I/O @ 0xc000/8 
 
1:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW 
(prog-if 00 [VGA]) 
        Subsystem: Dell Computer Corporation: Unknown device 012b 
        Flags: bus master, VGA palette snoop, stepping, 66Mhz, medium devsel, 
latency 32, IRQ 11 
        Memory at e0000000 (32-bit, prefetchable) [size=128M] 
        I/O ports at c000 [size=256] 
        Memory at fcff0000 (32-bit, non-prefetchable) [size=64K] 
        Expansion ROM at <unassigned> [disabled] [size=128K] 
        Capabilities: [58] AGP version 2.0 
        Capabilities: [50] Power Management version 2
Comment 1 Dax Kelson 2002-09-05 15:00:02 EDT
I commented out the "dpms" option in my monitor section (see below). No change 
in behavior. 
 
Section "Monitor"                                                                       
Identifier   "Monitor0"                                                         
VendorName   "Monitor Vendor"                                                   
ModelName    "Monitor Model"                                                    
HorizSync   31.5-90                                                             
VertRefresh 59-75                                                        
#       Option "dpms"                                                                                                                                                                                                                           
EndSection
Comment 2 Mike A. Harris 2002-09-09 23:14:59 EDT
Use xdpyinfo to confirm DPMS is disabled at runtime.  Other applications
like GNOME control panel, xscreensaver, xset can enable DPMS regardless
of the config file settings.

Also attach your config file and X server log file as individual attachments
using the link below.
Comment 3 Mike A. Harris 2002-11-10 23:20:10 EST
Requested information has not been attached.  Therefore no troubleshooting
is possible.  I'm closing this bug as WONTFIX.  If you wish to have this
issue addressed, then please attach the requested information, and reopen
the bug report.

Note You need to log in before you can comment on or make changes to this bug.